using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;

namespace Agrotop
{
    /// <summary>
    /// Descripción breve de WebService1
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // Para permitir que se llame a este servicio web desde un script, usando ASP.NET AJAX, quite la marca de comentario de la línea siguiente. 
    // [System.Web.Script.Services.ScriptService]
    public class WebService1 : System.Web.Services.WebService
    {

        [WebMethod]
        public Respuesta setCliente(string CardCode, 
                                    string CardName, 
                                    string Phone1,
                                    string Email,
                                    string Activity,
                                    string RUT
                                    )
        {
            Respuesta r = new Respuesta();
            r.code = 0;
            r.message = "Unknown";

            SAP sap = new SAP();

            if (sap.oCompany.Connect() != 0)
            {
                r.code = 1;
                r.message = sap.oCompany.GetLastErrorDescription();
            }
            else if (CardCode.Trim().Length > 0) 
            {
                r = sap.setBusinessPartner(CardCode, CardName, Phone1, Email, Activity, RUT);
            }
            else
            {
                r.message = "CardCode es requerido";
            }

            return r;
        }

        [WebMethod]
        public Respuesta cambiarFolio(String NumeroSAP, String NuevoFolio)
        {
            Respuesta r = new Respuesta();
            r.code = 0;
            r.message = "Unknown";

            SAP sap = new SAP();

            if (sap.oCompany.Connect() != 0)
            {
                r.code = 1;
                r.message = sap.oCompany.GetLastErrorDescription();
            }
            else
            {
                r = sap.setFolioNumber(NumeroSAP, NuevoFolio);
            }

            return r;
        }


    }
}
